﻿using Common;
using ControlBinding;
using ControlBindingCode;
using ControlMaster;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace Binding
{
    public partial class MainPage : Page
    {
        public Frame ContainerParent { get; set; }
        public UCM Container1 = null;
        public UCB controlBinding = null;
        public UCB controlBinding1 = null;
        //
        public MainPage()
        {
            this.InitializeComponent();

            // Enter construction logic here...
            CreateMain(this.MainFrame);
        }

        private void CreateMain(Frame containerParent)
        {
            this.ContainerParent = containerParent;
            // Create theme Grid
            #region Theme Grid
            int cols = 50;
            int rows = 50;
            Grid container = new Grid();
            //
            ContainerParent.Content = container;
            for (int counter = 0; counter < cols; counter++)
            {
                // Define columns
                ColumnDefinition _columnDefinition1 = new ColumnDefinition();
                _columnDefinition1.Width = new GridLength(1, GridUnitType.Star);
                container.ColumnDefinitions.Add(_columnDefinition1);
            }
            for (int counter = 0; counter < rows; counter++)
            {
                // Define rows
                RowDefinition _rowDefinition1 = new RowDefinition();
                _rowDefinition1.Height = new GridLength(1, GridUnitType.Star);
                container.RowDefinitions.Add(_rowDefinition1);
            }
            //
            #endregion Theme grid
            //
            // Set control UCM to grid 
            Container1 = new UCM();
            Grid.SetColumn(Container1, 1);
            Grid.SetRow(Container1, 1);
            Grid.SetColumnSpan(Container1, 19);
            Grid.SetRowSpan(Container1, 49);
            container.Children.Add(Container1);
            //
            // Set control MenuSection1 to grid 
            controlBinding = new UCB();
            Grid.SetColumn(controlBinding, 21);
            Grid.SetRow(controlBinding, 1);
            Grid.SetColumnSpan(controlBinding, 10);
            Grid.SetRowSpan(controlBinding, 19);
            container.Children.Add(controlBinding);
            //Initialize menu for MenuSection
            UCBC ucbc_BC = new UCBC(ListVertical());
            controlBinding.SetList(ucbc_BC);
            //
            //
            // When understand code functionality then uncoomment next block

            /* Begin Block
            // Set control MenuSection2 to grid 
            controlBinding1 = new UCB();
            Grid.SetColumn(controlBinding1, 32);
            Grid.SetRow(controlBinding1, 20);
            Grid.SetColumnSpan(controlBinding1, 10);
            Grid.SetRowSpan(controlBinding1, 39);
            container.Children.Add(controlBinding1);
            //Initialize menu for MenuSection
            UCBC ucbc_BC1 = new UCBC(ListHorizotal());
            controlBinding1.SetList(ucbc_BC1);
            */ // END Block
        }

        private ListB ListVertical()
        {
            ListB list = new ListB();
            list.List.Add("Wello");
            list.List.Add("_");
            list.List.Add("word");
            list.List.Add("_");
            list.List.Add("I'm");
            list.List.Add("");
            list.List.Add("Nick");
            list.Orientation = Orientation.Vertical;
            return list;
        }
        private ListB ListHorizotal()
        {
            ListB list = new ListB();
            list.List.Add("Wello");
            list.List.Add("_");
            list.List.Add("word");
            list.List.Add("_");
            list.List.Add("I'm");
            list.List.Add("");
            list.List.Add("Nick");
            list.Orientation = Orientation.Horizontal;
            return list;
        }
    }
}
