﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace ControlMaster
{
    public partial class UCM : UserControl
    {
        bool FlagForCustomContextMenu = false;
        public UCM()
        {
            this.InitializeComponent();
            this.ContextMenu = InitializeContextMenu();
            this.mainGrid.Text = "Local time:"+DateTime.Now.TimeOfDay.ToString();
        }
        #region Section context menu
        /// <summary>
        /// Create Content Menu
        /// </summary>
        virtual public ContextMenu InitializeContextMenu()
        {
            // Context Menu
            ContextMenu contextMenu = new ContextMenu();
            //
            MenuItem menuItem6 = new MenuItem();
            menuItem6.Header = "Item menu 1";
            menuItem6.Click += MenuItem_Click;
            //add menu item in context menu
            contextMenu.Items.Add(menuItem6);
            //
            MenuItem menuItem7 = new MenuItem();
            menuItem7.Header = "Item menu 2";
            menuItem7.Click += MenuItem_Click;
            //add menu item in context menu
            contextMenu.Items.Add(menuItem7);
            //
            // Incorporate context menu in main container, that is this.ContainerParent
            return contextMenu;
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Hello");
        }

        void Section_ContextMenuOpening(object sender, ContextMenuEventArgs e)
        {
            if (!this.FlagForCustomContextMenu)
            {
                // This is part from another reported error
                //e.Handled = true; //need to suppress empty menu
                this.FlagForCustomContextMenu = true;
                //this.ContextMenu.IsOpen = true;
            }
        }
        #endregion Section context menu
    }
}
